Page MenuHomePhabricator

429 Error generating thumbnail
Open, NormalPublic

Description

I'm getting the following error while trying to open https://upload.wikimedia.org/wikipedia/commons/thumb/7/7d/KrakatoaHV.webm/220px--KrakatoaHV.webm.jpg:

Error generating thumbnail

There have been too many recent failed attempts (4 or more) to render this thumbnail. Please try again later.

Here the request/response headers:

> GET /wikipedia/commons/thumb/7/7d/KrakatoaHV.webm/220px--KrakatoaHV.webm.jpg HTTP/1.1
> Host: upload.wikimedia.org
> User-Agent: curl/7.49.1
> Accept: */*

< HTTP/1.1 429 Too Many Requests
< Date: Mon, 21 Nov 2016 11:42:12 GMT
< Content-Type: text/html; charset=utf-8
< Transfer-Encoding: chunked
< Connection: keep-alive
< X-Content-Type-Options: nosniff
< X-Powered-By: HHVM/3.12.7
< Server: mw1295.eqiad.wmnet
< X-Mw-Thumbnail-Renderer: mw1295
< Cache-Control: no-cache
< P3p: CP="This is not a P3P policy! See https://commons.wikimedia.org/wiki/Special:CentralAutoLogin/P3P for more info."
< Backend-Timing: D=79345 t=1479728532563805
< X-Trans-Id: tx77d52d17e62947bbb6ed8-005832dd94
< Vary: Accept-Encoding
< X-Varnish: 227107790, 78025582, 382719689
< Via: 1.1 varnish-v4, 1.1 varnish-v4, 1.1 varnish-v4
< Age: 0
< X-Cache: cp1048 pass, cp3035 pass, cp3048 pass
< X-Cache-Status: pass
< Strict-Transport-Security: max-age=31536000; includeSubDomains; preload
< X-Analytics: https=1;nocookies=1
< X-Client-IP: XXX.XXX.XXX.XXX
< Access-Control-Allow-Origin: *
< Access-Control-Expose-Headers: Age, Date, Content-Length, Content-Range, X-Content-Duration, X-Cache, X-Varnish
< Timing-Allow-Origin: *

Event Timeline

ema created this task.Nov 21 2016, 11:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2016, 11:45 AM
ema triaged this task as Normal priority.Nov 21 2016, 11:46 AM

Moving to mediawiki/media-storage since it is a mediawiki failure to thumbnail the video, not sure exactly why though

hashar added a subscriber: hashar.Sep 26 2019, 9:39 AM

For the specific case of https://commons.wikimedia.org/wiki/Category:Finlands_Allm%C3%A4nna_Tidning_1878 , that tries to reach out to 81 thumbnails.

Some of them yields a 500 Internal Server Error, and most of them yield Error: 429, Too Many Requests after ~ 8 seconds. The internal server error would be a rendering issue with the pdf which should be looked at via a different task. The 429 is a rate limiting, which in this case might be too strict.

Anyway that might well be a different issue than this T152202 and just related to the PDF generated. It is probably better to fill another task.

A whole category at Commons seems to be affected: https://commons.wikimedia.org/wiki/Category:Finlands_Allm%C3%A4nna_Tidning_1878 too.

@De728631: That looks like a different issue... Please file separate task: https://www.mediawiki.org/wiki/How_to_report_a_bug
If it's a 429 error I'd add the Thumbor project tag to that new task.

LA2 added a subscriber: LA2.Sep 26 2019, 10:51 AM

It appears my problem (with PDFs of Finlands Allmänna Tidning) is the same that I reported in Bugzilla in 2010 and that I gave up on solving in 2013, because it is oooh so difficult to solve a small problem, and which has been imported into Phabricator,
https://phabricator.wikimedia.org/T25326
So once again, I am abandoning Wikisource. This time, my enthusiasm lasted for a week. Maybe I'll make a new try nine years later. Bye!

hashar removed a subscriber: hashar.Sep 26 2019, 12:48 PM

@LA2: I'm sorry to hear that. T25326 is closed as resolved, and in the last years the thumbnailing software stack has drastically changed. If you run into issues, please feel free to create bug reports by following https://www.mediawiki.org/wiki/How_to_report_a_bug so someone could take a look. Thanks!

LA2 added a comment.Sep 26 2019, 3:40 PM

I'm quite sure that I will not run into any more problems with Wikisource,
simply because I don't intend to run into Wikisource anymore.

I leave these 81 PDF files as a graveyard. If they are the wrong format, a violation of the PDF standard, then this should have been detected and reported during upload. We should report that back to the National Library of Finland, which generated the PDFs, but since I didn't get any diagnostic message, I have nothing to report to them. Now the upload was accepted and then the server failed to generate thumbnails, without any visible error message at all, which is a problem in itself.